Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pgsql/configure.in,v
retrieving revision 1.160
diff -c -r1.160 configure.in
*** configure.in	2002/01/14 13:15:28	1.160
--- configure.in	2002/01/18 23:14:23
***************
*** 259,265 ****
  #
  PGAC_ARG_BOOL(enable, debug, no,
                [  --enable-debug          build with debugging symbols (-g)])
! 
  
  #
  # C compiler
--- 259,265 ----
  #
  PGAC_ARG_BOOL(enable, debug, no,
                [  --enable-debug          build with debugging symbols (-g)])
! AC_SUBST(enable_debug)
  
  #
  # C compiler
Index: src/Makefile.global.in
===================================================================
RCS file: /projects/cvsroot/pgsql/src/Makefile.global.in,v
retrieving revision 1.141
diff -c -r1.141 Makefile.global.in
*** src/Makefile.global.in	2001/12/20 21:23:05	1.141
--- src/Makefile.global.in	2002/01/18 23:14:30
***************
*** 132,137 ****
--- 132,138 ----
  enable_shared	= @enable_shared@
  enable_rpath	= @enable_rpath@
  enable_nls	= @enable_nls@
+ enable_debug	= @enable_debug@
  
  python_version		= @python_version@
  python_includespec	= @python_includespec@
Index: src/interfaces/jdbc/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/Makefile,v
retrieving revision 1.33
diff -c -r1.33 Makefile
*** src/interfaces/jdbc/Makefile	2001/07/06 23:07:20	1.33
--- src/interfaces/jdbc/Makefile	2002/01/18 23:14:39
***************
*** 17,23 ****
  
  properties := -Dmajor=$(majorversion) -Dminor=$(minorversion) \
  		-Dfullversion=$(VERSION) \
! 		-Ddef_pgport=$(DEF_PGPORT)
  
  all:
  	$(ANT) -buildfile $(srcdir)/build.xml all \
--- 17,24 ----
  
  properties := -Dmajor=$(majorversion) -Dminor=$(minorversion) \
  		-Dfullversion=$(VERSION) \
! 		-Ddef_pgport=$(DEF_PGPORT) \
! 		-Denable_debug=$(enable_debug)
  
  all:
  	$(ANT) -buildfile $(srcdir)/build.xml all \
Index: src/interfaces/jdbc/build.xml
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/build.xml,v
retrieving revision 1.18
diff -c -r1.18 build.xml
*** src/interfaces/jdbc/build.xml	2001/09/23 04:11:14	1.18
--- src/interfaces/jdbc/build.xml	2002/01/18 23:14:40
***************
*** 19,24 ****
--- 19,25 ----
    <property name="jardir"  value="jars" />
    <property name="builddir" value="build" />
    <property name="package" value="org/postgresql" />
+   <property name="debug" value="off" />
  
  
    <!--
***************
*** 69,75 ****
  
    <!-- This is the core of the driver.  It is common for all three versions. -->
    <target name="compile" depends="prepare,check_versions,driver">
!     <javac srcdir="${srcdir}" destdir="${builddir}">
        <include name="${package}/**" />
  
        <exclude name="${package}/jdbc1/**" if="jdk1.2+" />
--- 70,76 ----
  
    <!-- This is the core of the driver.  It is common for all three versions. -->
    <target name="compile" depends="prepare,check_versions,driver">
!     <javac srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
        <include name="${package}/**" />
  
        <exclude name="${package}/jdbc1/**" if="jdk1.2+" />
***************
*** 121,126 ****
--- 122,133 ----
  
    <!-- Prepares the build directory -->
    <target name="prepare">
+ <!-- use the enable_debug option from configure -->
+     <condition property="debug" value="on">
+       <and>
+         <equals arg1="${enable_debug}" arg2="yes" />
+       </and>
+     </condition>
      <mkdir dir="${builddir}" />
      <mkdir dir="${jardir}" />
    </target>
***************
*** 128,134 ****
  
    <!-- This builds the examples -->
    <target name="examples" depends="compile">
!     <javac srcdir="${srcdir}" destdir="${builddir}">
        <include name="example/**" />
        <exclude name="example/corba/**"/>
        <exclude name="example/blobtest.java" unless="jdk1.2+"/>
--- 135,141 ----
  
    <!-- This builds the examples -->
    <target name="examples" depends="compile">
!     <javac srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
        <include name="example/**" />
        <exclude name="example/corba/**"/>
        <exclude name="example/blobtest.java" unless="jdk1.2+"/>
***************
*** 142,148 ****
        <arg value="stock.idl" />
      </exec>
  
!     <javac srcdir="${srcdir}" destdir="${builddir}">
        <include name="example/corba/**" />
      </javac>
    </target>
--- 149,155 ----
        <arg value="stock.idl" />
      </exec>
  
!     <javac srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
        <include name="example/corba/**" />
      </javac>
    </target>
***************
*** 187,193 ****
  
  
    <target name="test" depends="jar" if="junit">
!     <javac srcdir="${srcdir}" destdir="${builddir}">
        <include name="${package}/test/jdbc2/**" if="jdk1.2+" />
        <include name="${package}/test/java2ee/**" if="jdk1.2e+" />
      </javac>
--- 194,200 ----
  
  
    <target name="test" depends="jar" if="junit">
!     <javac srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
        <include name="${package}/test/jdbc2/**" if="jdk1.2+" />
        <include name="${package}/test/java2ee/**" if="jdk1.2e+" />
      </javac>
